import React, { FunctionComponent } from 'react';
import { StyleSheet, Text, TouchableOpacity, StyleProp, ViewStyle, GestureResponderEvent } from 'react-native';
import { Icon } from 'react-native-elements'
type ButtonProps = {
    testID?: string;
    disabled?:boolean;
    noicon?: boolean;
    textColor?: string;
    placeholder?: string;
    style?: StyleProp<ViewStyle>;
    onClick?:((event: GestureResponderEvent) => void);
  }
  
export const FibaButton: FunctionComponent<ButtonProps> = (props) => 
    <TouchableOpacity testID={props.testID} style={[styles.button, props.style]} onPress={props.onClick} disabled={props.disabled ? props.disabled : false}>
        {props.noicon ? null : <Icon name='account-balance-wallet' style={{marginRight:2}} color='white' /> }
        <Text style={{color: props.textColor ? props.textColor : "white" }}>{props.placeholder}</Text>
    </TouchableOpacity>
    
const styles = StyleSheet.create({
    button: { 
        flexDirection:"row",
        width:"80%",
        borderRadius: 40, 
        height:40, 
        alignItems: "center", 
        justifyContent:"center", 
        margin:7,
        backgroundColor:"#006CB7"
    }
});

export default FibaButton;