import React, { FunctionComponent } from 'react';
import { StyleSheet, TextInput, View, Text, StyleProp, ViewStyle, GestureResponderEvent } from 'react-native';
  
type InputProps = {
    testID?: string;
    disabled?:boolean;
    editable?: boolean;
    placeholderTextColor?: string;
    placeholder?: string;
    secureTextEntry?: boolean;
    value?: string;
    placeholder2?: string;
    style?: StyleProp<ViewStyle>;
    onChange?:(text: string) => void;
  }

export const FibaInput: FunctionComponent<InputProps> = (props) => 
    <View style={[styles.input, props.style]}>
        <TextInput style={{width:100}}
        placeholder={props.placeholder} placeholderTextColor={props.editable == true ? "#006CB7" : props.placeholderTextColor} editable={props.editable}
        onChangeText={props.onChange} secureTextEntry={props.secureTextEntry ? props.secureTextEntry : false} value={props.value}></TextInput>
        {props.placeholder2 ? <Text style={{color:"#FE5F55"}}>{props.placeholder2}</Text> : null}
    </View>

const styles = StyleSheet.create({
    input: {
        // backgroundColor:"white", 
        flexDirection:"row",
        alignItems: "center", 
        marginBottom:10,
        // height: 30,
        borderBottomWidth:1,
        borderBottomColor: "rgb(201, 201, 201)",
        marginRight:10,
        width: 100
    }
});

export default FibaInput