import BaseService from './api';

export const getOrderBoard = (instrument: string) => {
  return new Promise(async (resolve, reject) => {
      BaseService.getData(`/orders/boardByInstrument/${instrument}`).then(res => {
      resolve(res.data);
    }).catch(err => {
      reject(err);
    })
  });
}

export const listOrders = (query: string) => {
  return new Promise(async (resolve, reject) => {
      BaseService.getData(`/orders?${query}`).then(res => {
      resolve(res.data);
    }).catch(err => {
      reject(err);
    })
  });
}


export const postOrder = (data: object) => {
  return new Promise(async (resolve, reject) => {
      BaseService.postData(`/orders`,data).then(res => {
      resolve(res.data);
    }).catch(err => {
      reject(err);
    })
  });
}

export const getLastTrade = () => {
  return new Promise(async (resolve, reject) => {
      BaseService.getData(`/orders/lastTrade`).then(res => {
      resolve(res.data);
    }).catch(err => {
      reject(err);
    })
  });
}